<mat-card class="po-main-card mat-elevation-z0">
  <mat-card-header fxLayout="column" fxLayoutGap="5px">
    <mat-expansion-panel expanded='panelExpanded'>
      <mat-expansion-panel-header>
        <mat-panel-title (click)="onExpansionPanelToggle()">
          <mat-icon>{{panelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
          <span><u>{{panelExpanded  ? 'Hide Details' : 'Show Details' }}</u></span>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <section>
        <p class="banner-header">Client Details:</p>
        <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px" class="banner-details">
          <span class="details-text"><b>First Name: </b>
            <span>{{referralType == 525 ? rrSelected.firstName : ((referralType == 526 || referralType == 610) && sideDoorClientSearchResult.sideDoorClient) ? sideDoorClientSearchResult.sideDoorClient.firstName :''}}</span>
          </span>
          <span class="details-text"><b>Last Name: </b>
            <span>{{referralType == 525 ? rrSelected.lastName : ((referralType == 526 || referralType == 610) && sideDoorClientSearchResult.sideDoorClient) ? sideDoorClientSearchResult.sideDoorClient.lastName :''}}</span>
          </span>
          <span class="details-text"><b>SSN: </b>
            <span>XXX-XX-{{(referralType == 525 && rrSelected.ssn) ? rrSelected.ssn.substr(5, 4) : ((referralType == 526 || referralType == 610) && sideDoorClientSearchResult.sideDoorClient) ? sideDoorClientSearchResult.sideDoorClient.ssn.substr(5, 4): ''}}</span>
          </span>
          <span *ngIf="referralType == 525 || referralType == 526" class="details-text"><b>HRA Client ID: </b>
            <span>{{referralType == 525 ? rrSelected.clientID : ((referralType == 526 || referralType == 610) && sideDoorClientSearchResult.sideDoorClient) ? sideDoorClientSearchResult.sideDoorClient.clientID :''}}</span>
          </span>
          <span class="details-text"><b>DOB: </b>
            <span>{{referralType == 525 ? rrSelected.dateOfBirth : ((referralType == 526 || referralType == 610) && sideDoorClientSearchResult.sideDoorClient) ? sideDoorClientSearchResult.sideDoorClient.dob :''}}</span>
          </span>
          <span *ngIf="referralType == 610" class="details-text"><b>Gender: </b>
            <span>{{sideDoorClientSearchResult.sideDoorClient ? sideDoorClientSearchResult.sideDoorClient.genderTypeDescription :''}}</span>
          </span>
        </div>
        <p *ngIf="referralType==525 || referralType==526" class="banner-header">Referral Details:</p>
        <div *ngIf="referralType==525 || referralType==526" fxLayout="column" fxLayoutGap="5px" class="banner-details">
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
            <div class="details-text"><b>ReferringAgency: </b>
              <span>{{referralType == 525 ?
                      ((rrSelected.referringAgencyID && rrSelected.referringSiteID) ?
                        (rrSelected.referringAgencyNo + ' - ' + rrSelected.referringAgencyName + ' / ' + rrSelected.referringSiteNo + ' - ' + rrSelected.referringSiteName)
                        : ''
                      )
                      : (referralType == 526 && sideDoorClientSearchResult.sideDoorClientReferral) ?
                        ((sideDoorClientSearchResult.sideDoorClientReferral.raAgencyID && sideDoorClientSearchResult.sideDoorClientReferral.raSiteID) ?
                          (sideDoorClientSearchResult.sideDoorClientReferral.raAgencyNo + ' - ' + sideDoorClientSearchResult.sideDoorClientReferral.raAgencyName + ' / ' + sideDoorClientSearchResult.sideDoorClientReferral.raSiteNo + ' - ' + sideDoorClientSearchResult.sideDoorClientReferral.raSiteName)
                          : ''
                        )
                        : ''}}</span>
            </div>
            <div class="details-text"><b>Eligibility: </b>
              <span>{{referralType == 525 ? (rrSelected.clientEligibleFor) : (referralType == 526 && sideDoorClientSearchResult.sideDoorClientReferral) ? (sideDoorClientSearchResult.sideDoorClientReferral.eligibility):''}}</span>
            </div>
          </div>
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
            <div class="details-text"><b>Referal Date: </b>
              <span>{{referralType == 525 ? (rrSelected.referralDate) : (referralType == 526 && sideDoorClientSearchResult.sideDoorClient) ? (sideDoorClientSearchResult.sideDoorClient.referralDate): '' | date:'MM/dd/yyyy'}}</span>
            </div>
            <div class="details-text"><b>Placement Criteria: </b>
              <span>{{referralType == 525 ? (rrSelected.placementCriteria) : (referralType == 526 && sideDoorClientSearchResult.sideDoorClientReferral) ? (sideDoorClientSearchResult.sideDoorClientReferral.placementCriteria): ''}}</span>
            </div>
          </div>
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
            <div class="details-text"><b>Prioritization: </b>
              <span>{{referralType == 525 ? (rrSelected.svaPrioritization) : (referralType == 526 && sideDoorClientSearchResult.sideDoorClientReferral) ? (sideDoorClientSearchResult.sideDoorClientReferral.svaPrioritization): ''}}</span>
            </div>
            <div class="details-text"><b>ServiceNeeds: </b>
              <span>{{referralType == 525 ? (rrSelected.serviceNeeds) : (referralType == 526 && sideDoorClientSearchResult.sideDoorClientReferral) ? (sideDoorClientSearchResult.sideDoorClientReferral.serviceNeeds): ''}}</span>
            </div>
          </div>
        </div>
        <p class="banner-header">Housing Agency/Site Details:</p>
        <div fxLayout="column" fxLayoutGap="5px" class="banner-details">
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
            <div class="details-text"><b>Agency Name: </b>
              <span>{{referralType == 525 ? (rrSelected.hpAgencyNo + ' - ' + rrSelected.hpAgencyName) : (referralType == 526 || referralType == 610) ? (trSelected.hpAgencyNo + ' - ' + trSelected.hpAgencyName): ''}}</span>
            </div>
            <div class="details-text"><b>Site Name: </b>
              <span>{{referralType == 525 ? (rrSelected.hpSiteNo + ' - ' + rrSelected.hpSiteName) : (referralType == 526 || referralType == 610) ? (trSelected.hpSiteNo + ' - ' + trSelected.hpSiteName) : ''}}</span>
            </div>
            <div *ngIf="!(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525)" class="details-text"><b>Unit#: </b>
              <span>{{((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) && existingPlacementOutcome) ? existingPlacementOutcome.unitName : trSelected.unitName}}</span>
            </div>
            <!-- <div *ngIf="(referralType == 526 || referralType == 610)" class="stats"><b>Primary Service Contract Type: </b><span>{{trSelected.agreementTypeDescription}}</span></div> -->
            <!-- <div *ngIf="(referralType == 526 || referralType == 610)" class="details-text"><b>Site Type: </b><span>{{trSelected.siteLocationTypeDescription}}</span></div> -->
          </div>
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
            <!-- <div class="details-text"><b>Primary Service Contract: </b>
              <span>{{rrSelected.agreementTypeDescription}}</span></div> -->
            <div *ngIf="referralType == 525" class="details-text"><b>Site Address: </b>
              <span>{{rrSelected ? rrSelected.siteAddress : ''}}</span>
            </div>
            <div class="details-text"><b>Primary Service Contract Type: </b>
              <span>{{(referralType == 525 && rrSelected) ? rrSelected.agreementTypeDescription : trSelected.agreementTypeDescription }}</span>
            </div>
            <div *ngIf="((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526))" class="details-text"><b></b><span></span></div>
          </div>
        </div>
      </section>
    </mat-expansion-panel>
  </mat-card-header>
  <mat-card-content>
    <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
      <!-- Client Search Tab -->
      <!-- <mat-tab *ngIf="referralType==526">
        <ng-template matTabLabel>
          <span>Client Search</span>
        </ng-template>
        <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
          <div class="search-result">
            <p class="banner-header">Client Details:</p>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px" class="banner-details">
              <span class="details-text"><b>First Name: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.firstName) : ''}}</span></span>
              <span class="details-text"><b>Last Name: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.lastName) : ''}}</span></span>
              <span class="details-text"><b>SSN: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? sideDoorClientSearchResult.sideDoorClient.ssn.substr(5, 4): ''}}</span></span>
              <span class="details-text"><b>HRA Client ID: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.clientID) : ''}}</span></span>
              <span class="details-text"><b>DOB: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.dob) : ''}}</span></span>
            </div>
            <p class="banner-header">Referral Details:</p>
            <div fxLayout="column" fxLayoutGap="5px" class="banner-details">
              <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                <div class="details-text"><b>ReferringAgency: </b><span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.raAgencyNo + ' - ' + sideDoorClientSearchResult.sideDoorClientReferral.raAgencyName) : ''}}</span></div>
                <div class="details-text"><b>Eligibility: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.eligibility) : ''}}</span></div>
              </div>
              <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                <div class="details-text"><b>Referal Date: </b> <span>{{sideDoorClientSearchResult.sideDoorClient ? (sideDoorClientSearchResult.sideDoorClient.referralDate) : ''}}</span></div>
                <div class="details-text"><b>Placement Criteria: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.placementCriteria) : ''}}</span></div>
              </div>
              <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                <div class="details-text"><b>Prioritization: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.svaPrioritization) : ''}}</span></div>
                <div class="details-text"><b>ServiceNeeds: </b> <span>{{sideDoorClientSearchResult.sideDoorClientReferral ? (sideDoorClientSearchResult.sideDoorClientReferral.serviceNeeds) : ''}}</span></div>
              </div>
            </div>
          </div>
        </div>
      </mat-tab> -->
      <!-- System Match Tab for PE readonly -->
      <mat-tab *ngIf="referralType==525 && is_SH_PE && !placementOutcomeFormEditable">
        <ng-template matTabLabel>
          <span>System Match</span>
        </ng-template>
        <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
          <div class="match-result" fxLayout="Column" fxLayoutGap="20px">
            <p><mat-label class="blue-label"><b>System match:</b> </mat-label><span style="margin-left: 10px;">{{rrSelected.matchPercentage}}%</span></p>
            <div fxLayout="row" fxLayoutGap="10px">
              <mat-label class="blue-label"><b>Match Criteria:</b></mat-label>
              <div fxLayout="column" fxLayoutGap="5px">
                <li *ngFor="let match of vcsMatchCriteria">{{match.criteriaDescription}}</li>
              </div>
            </div>
          </div>
        </div>
      </mat-tab>
      <!-- Placement Outcome Form Tab -->
      <mat-tab [disabled]="isMainFormTabDisabled">
        <ng-template matTabLabel>
          <span *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525)">Interview Outcomes</span>
          <span *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType==526 || referralType == 610">Move-In Details</span>
        </ng-template>
        <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
          <form [formGroup]="interviewOutcomeGroup">
            <section class="form-section regular-mat-form-field" fxLayout="column">
              <div *ngIf="(!placementOutcomeFormEditable)" fxLayout="row" flex="auto" fxLayout.lt-md="column" fxLayoutGap="15px">
                <div fxLayout="row"  fxLayoutGap="10px">
                  <mat-label class="blue-label">Entered By: </mat-label>{{existingPlacementOutcome ? existingPlacementOutcome.createdByName : ''}}
                </div>
                <div fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="blue-label" >Entered Date: </mat-label>{{existingPlacementOutcome ? (existingPlacementOutcome.createdDate | date:'MM/dd/yyyy') : ''}}
                </div>
              </div>

              <div *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525)" class="dateTimeLocation" fxLayout="row" flex="auto" fxLayout.lt-md="column" fxLayoutGap="15px">
                <div fxLayout="row"  fxLayoutGap="10px">
                  <mat-label [ngClass]="[(is_SH_HP && isIntrvwEditable) ? 'required-label-color': 'blue-label']">Interview Date: </mat-label>
                  <mat-form-field *ngIf="!isIntrvwEditable" appearance="outline">
                    <input matInput placeholder="{{(rrSelected ? rrSelected.interviewDate : '') | date:'MM/dd/yyyy'}}" readonly disabled>
                  </mat-form-field>
                  <mat-form-field *ngIf="is_SH_HP && isIntrvwEditable" appearance="outline">
                    <input matInput [matDatepicker]="interviewDatePicker"
                      formControlName="interviewDateCtrl"
                      (dateChange)="onInterviewDateSelected()"
                      dateOnly
                      placeholder="MM/DD/YYYY"
                      required>
                    <mat-datepicker-toggle matSuffix [for]="interviewDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #interviewDatePicker></mat-datepicker>
                  </mat-form-field>
                </div>

                <div fxLayout="row" fxLayoutGap="10px">
                  <mat-label [ngClass]="[(is_SH_HP && isIntrvwEditable) ? 'required-label-color': 'blue-label']">Interview Time: </mat-label>
                  <mat-form-field *ngIf="!isIntrvwEditable" appearance="outline">
                    <input matInput placeholder="{{rrSelected ? rrSelected.interviewTime : ''}}" readonly disabled>
                  </mat-form-field>
                  <mat-form-field *ngIf="is_SH_HP && isIntrvwEditable" appearance="outline">
                    <mat-select formControlName="interviewTimeCtrl" placeholder="Select">
                      <mat-option [value]="0">Select</mat-option>
                      <mat-option *ngIf="rrSelected.interviewTime" [value]="rrSelected.interviewTime">{{rrSelected.interviewTime}}</mat-option>
                      <mat-option *ngFor="let interviewTime of availableInterviewTimeSlot"
                      [value]="interviewTime.availableTimeSlot">
                      {{ interviewTime.availableTimeSlot }}
                    </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div fxLayout="row" fxLayoutGap="10px" *ngIf="rrSelected">
                  <mat-label class="blue-label">Interview Location: </mat-label>
                  <mat-form-field appearance="outline">
                    <input matInput placeholder="{{rrSelected.interviewLocation}}" readonly disabled>
                  </mat-form-field>
                </div>
              </div>

              <div class="interviewOutcomeForm">
                <div fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Was Interview Conducted: </mat-label>
                  <mat-form-field appearance="outline">
                    <mat-select formControlName="wasInterviewConductedCtrl" placeholder="Select">
                      <mat-option [value]="0">Select</mat-option>
                      <mat-option *ngFor="let intrvwConducted of wasInterviewConducted"
                        [value]="intrvwConducted.refGroupDetailID">
                        {{ intrvwConducted.refGroupDetailDescription }}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>
                <div *ngIf="((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)" fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Referral Received From: </mat-label>
                  <mat-form-field appearance="outline">
                    <mat-select formControlName="referralReceivedFromCtrl" placeholder="Select">
                      <mat-option [value]="0">Select</mat-option>
                      <mat-option *ngFor="let agency of allActiveAgencies"
                        [value]="agency.agencyID">
                        {{ agency.agencyNo + ' - ' + agency.agencyName }}
                      </mat-option>
                      <mat-option [value]="-2">Other</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div
                  *ngIf="((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610) &&
                            interviewOutcomeGroup.get('referralReceivedFromCtrl').value == -2"
                  fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Specify: </mat-label>
                  <mat-form-field appearance="outline">
                    <textarea matInput formControlName="specifyReferralReceivedCtrl" placeholder="Specify Comments here..." rows="4"></textarea>
                  </mat-form-field>
                </div>

                <div *ngIf="((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)" fxLayout="row"  fxLayoutGap="10px">
                  <mat-label class="required-label-color">Referral Received Date: </mat-label>
                  <mat-form-field appearance="outline">
                    <input matInput [matDatepicker]="referralReceivedDatePicker"
                      formControlName="referralReceivedDateCtrl"
                      (dateChange)="onReferralReceivedDateSelected()"
                      dateOnly
                      placeholder="MM/DD/YYYY"
                      required>
                    <mat-datepicker-toggle matSuffix [for]="referralReceivedDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #referralReceivedDatePicker></mat-datepicker>
                  </mat-form-field>
                </div>
                <div *ngIf="((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)" fxLayout="row"  fxLayoutGap="10px">
                  <mat-label class="required-label-color">Interview Date: </mat-label>
                  <mat-form-field appearance="outline">
                    <input matInput [matDatepicker]="sideDoorInterviewDatePicker"
                      formControlName="interviewDateCtrl"
                      (dateChange)="onInterviewDateSelected()"
                      dateOnly
                      placeholder="MM/DD/YYYY"
                      required>
                    <mat-datepicker-toggle matSuffix [for]="sideDoorInterviewDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #sideDoorInterviewDatePicker></mat-datepicker>
                  </mat-form-field>
                </div>

                <div
                  *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525) &&
                          interviewOutcomeGroup.get('wasInterviewConductedCtrl').value &&
                          interviewOutcomeGroup.get('wasInterviewConductedCtrl').value == 33 "
                          fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Interview Outcome:</mat-label>
                  <mat-form-field appearance="outline">
                    <mat-select formControlName="interviewOutcomeCtrl" placeholder="Select">
                      <mat-option [value]="0">Select</mat-option>
                      <mat-option *ngFor="let intrvwOutcome of interviewOutcome"
                        [value]="intrvwOutcome.refGroupDetailID">
                        {{ intrvwOutcome.refGroupDetailDescription }}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div
                *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525) &&
                        interviewOutcomeGroup.get('interviewOutcomeCtrl').value &&
                        interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 541 "
                        fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Placement Outcome: </mat-label>
                  <mat-form-field appearance="outline">
                    <mat-select formControlName="placementOutcomeCtrl" placeholder="Select">
                      <mat-option [value]="0">Select</mat-option>
                      <mat-option *ngFor="let plcmtOutcome of placementOutcome" [value]="plcmtOutcome.refGroupDetailID">
                        {{ plcmtOutcome.refGroupDetailDescription }}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div
                *ngIf="(interviewOutcomeGroup.get('placementOutcomeCtrl').value && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546)
                        || ((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)"
                  fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Move In-Date: </mat-label>
                  <mat-form-field appearance="outline">
                    <input matInput [matDatepicker]="moveInDatePicker"
                      formControlName="moveInDateCtrl"
                      (dateChange)="onMoveInDateSelected()"
                      dateOnly
                      placeholder="MM/DD/YYYY"
                      required>
                    <mat-datepicker-toggle matSuffix [for]="moveInDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #moveInDatePicker></mat-datepicker>
                  </mat-form-field>
                </div>

                <div
                *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525) &&
                        interviewOutcomeGroup.get('placementOutcomeCtrl').value &&
                        interviewOutcomeGroup.get('placementOutcomeCtrl').value == 545 "
                        fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Expected Move In-Date: </mat-label>
                  <mat-form-field appearance="outline">
                    <input matInput [matDatepicker]="expectedMoveInDatePicker"
                      formControlName="expectedMoveInDateCtrl"
                      (dateChange)="onExpectedMoveInDateSelected()"
                      dateOnly
                      placeholder="MM/DD/YYYY"
                      required>
                    <mat-datepicker-toggle matSuffix [for]="expectedMoveInDatePicker"></mat-datepicker-toggle>
                    <mat-datepicker #expectedMoveInDatePicker></mat-datepicker>
                  </mat-form-field>
                </div>

                <div
                *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525)  &&
                      interviewOutcomeGroup.get('placementOutcomeCtrl').value &&
                      (interviewOutcomeGroup.get('placementOutcomeCtrl').value == 545 || interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546)"
                      fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label [ngClass]="[interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546 ? 'required-label-color': 'blue-label']">Unit Number: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="unitNumberCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngIf="!placementOutcomeFormEditable && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 545" [value]="existingPlacementOutcome.expectedUnitID">{{existingPlacementOutcome.unitName}}</mat-option>
                        <mat-option *ngIf="!placementOutcomeFormEditable && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546" [value]="existingPlacementOutcome.unitID">{{existingPlacementOutcome.unitName}}</mat-option>
                        <!-- <mat-option *ngIf="(referralType==525 && updateTenantProfile)" [value]="trSelected.unitID">{{trSelected.unitName}}</mat-option> -->
                        <span *ngIf="placementOutcomeFormEditable">
                          <mat-option *ngFor="let unit of vcsOnlineUnits" [value]="unit.unitID">
                            {{ unit.unitName }}
                          </mat-option>
                        </span>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <label class='required-label-color'>If the unit number is not listed please go to the unit roster and update the unit profile to include missing unit details.</label>
                </div>

                <div
                *ngIf="(interviewOutcomeGroup.get('placementOutcomeCtrl').value && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546)
                        || ((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)"
                  fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Rent/Client Contribution: </mat-label>
                  <mat-form-field appearance="outline">
                    <input matInput formControlName="clientRentalContributionCtrl" digitOnly autocomplete="off">
                  </mat-form-field>
                </div>

                <div
                *ngIf="(interviewOutcomeGroup.get('placementOutcomeCtrl').value && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546)
                        || ((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)"
                  fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Income Source: </mat-label>
                  <mat-form-field appearance="outline">
                    <mat-select (openedChange)="onMultiIncomeSourceSelected($event)" formControlName="incomeSourceCtrl" placeholder="Select" multiple>
                      <mat-option *ngFor="let income of incomeSource" [value]="income.refGroupDetailID">{{ income.refGroupDetailDescription }}</mat-option>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div
                  *ngIf="(interviewOutcomeGroup.get('placementOutcomeCtrl').value && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546 &&
                          ((placementOutcomeFormEditable && isThereOtherIncomeSource) || (!placementOutcomeFormEditable && wasThereInitialOtherIncomeSource))
                         ) ||
                          (((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610) &&
                          ((placementOutcomeFormEditable && isThereOtherIncomeSource) || (!placementOutcomeFormEditable && wasThereInitialOtherIncomeSource)))"
                  fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Specify: </mat-label>
                  <mat-form-field appearance="outline">
                    <textarea matInput formControlName="specifyIncomeSourceCtrl" placeholder="Specify Comments here..." rows="4"></textarea>
                  </mat-form-field>
                </div>

                <div
                  *ngIf="(referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 525) && ((interviewOutcomeGroup.get('wasInterviewConductedCtrl').value && interviewOutcomeGroup.get('wasInterviewConductedCtrl').value == 34) ||
                        (interviewOutcomeGroup.get('interviewOutcomeCtrl').value && (interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 542 ||
                        interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 543 || interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 544)))"
                  fxLayout="row" fxLayoutGap="10px">
                  <mat-label class="required-label-color">Reason: </mat-label>
                  <mat-form-field appearance="outline">
                    <mat-select formControlName="reasonCtrl" placeholder="Select">
                      <mat-option [value]="0">Select</mat-option>
                      <span *ngIf="interviewOutcomeGroup.get('wasInterviewConductedCtrl').value == 34">
                        <mat-option *ngFor="let reason of interviewNotConductedReasons" [value]="reason.refGroupDetailID">
                          {{ reason.refGroupDetailDescription }}
                        </mat-option>
                      </span>
                      <span *ngIf="interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 542">
                        <mat-option *ngFor="let reason of interviewOutcomePendingReasons" [value]="reason.refGroupDetailID">
                          {{ reason.refGroupDetailDescription }}
                        </mat-option>
                      </span>
                      <span *ngIf="interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 543">
                        <mat-option *ngFor="let reason of clientDidNotAcceptHousingReasons" [value]="reason.refGroupDetailID">
                          {{ reason.refGroupDetailDescription }}
                        </mat-option>
                      </span>
                      <span *ngIf="interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 544">
                        <mat-option *ngFor="let reason of hpDidNotAcceptClientReasons" [value]="reason.refGroupDetailID">
                          {{ reason.refGroupDetailDescription }}
                        </mat-option>
                      </span>
                    </mat-select>
                  </mat-form-field>
                </div>

                <div
                *ngIf="(interviewOutcomeGroup.get('wasInterviewConductedCtrl').value && interviewOutcomeGroup.get('wasInterviewConductedCtrl').value == 34) ||
                      (interviewOutcomeGroup.get('interviewOutcomeCtrl').value &&
                      (interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 542 || interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 543 || interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 544) ||
                      (interviewOutcomeGroup.get('placementOutcomeCtrl').value && (interviewOutcomeGroup.get('placementOutcomeCtrl').value == 545 || interviewOutcomeGroup.get('placementOutcomeCtrl').value == 546))
                      ) || ((referralType==525 && rrSelected.hpSiteID > 0 && rrSelected.referralType == 526) || referralType == 526 || referralType == 610)"
                  fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="10px">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label
                      [ngClass]="[(
                                    (interviewOutcomeGroup.get('wasInterviewConductedCtrl').value == 34) ||
                                    (interviewOutcomeGroup.get('wasInterviewConductedCtrl').value == 33 &&
                                      (interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 542 ||
                                      interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 543 ||
                                      interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 544)
                                    ) ||
                                    (interviewOutcomeGroup.get('interviewOutcomeCtrl').value == 541 && interviewOutcomeGroup.get('placementOutcomeCtrl').value == 545) ||
                                    (eligibilityCriteriaNotMatched || approvalNotActive)
                                  ) ? 'required-label-color': 'blue-label']">Comments: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput formControlName="commentCtrl" placeholder="Enter Comments here..." rows="5"></textarea>
                    </mat-form-field>
                  </div>
                  <label *ngIf="eligibilityCriteriaNotMatched && !approvalNotActive" class='required-label-color'>This Client's Approval does not match with the Unit Profile, please provide the reason for this MoveIn.</label>
                  <label *ngIf="!eligibilityCriteriaNotMatched && approvalNotActive" class='required-label-color'>This Client's Approval is expired, please provide a reason for this MoveIn.</label>
                  <label *ngIf="eligibilityCriteriaNotMatched && approvalNotActive" class='required-label-color'>This Client's Approval is expired, and Approval does not match with the Unit Profile, please provide the reason for this MoveIn.</label>
                </div>
              </div>

            </section>
          </form>
        </div>
      </mat-tab>
      <!-- Documents Tab -->
      <mat-tab [disabled]="isDocTabDisabled">
        <ng-template matTabLabel>
          <span>Documents</span>
        </ng-template>
        <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
          <app-document
            [preSelectedDocType]="325"
            [vcsReferralIDObservable]="vcsReferralIDforSidedoor.asObservable()"
            [pactApplicationID]="referralType == 525 ? rrSelected.pactApplicationID : referralType == 526 ? sideDoorClientSearchResult.sideDoorClientReferral.pactApplicationID : null"
          >
          </app-document>
        </div>
      </mat-tab>
    </mat-tab-group>
    <div class="btn-section mat-elevation-z4" fxLayout="row">
      <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
        <button type="button"
            *ngIf="placementOutcomeFormEditable &&
                  (((referralType == 525 || ((referralType == 610 || referralType == 526) && !isSideDoorMoveInDone)) && selectedTab == 0))"
            (click)="onTransmit()" mat-raised-button color="primary">Transmit</button>
        <button type="button" (click)="onExitClick()" mat-raised-button color="primary">Exit</button>
      </span>
    </div>
  </mat-card-content>
</mat-card>
